Replace a Campaign
curl --request PUT \
--url https://prod-api.raisedonors.com/api/Campaign/replace \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"currentCampaignId": 123,
"newCampaignId": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currentCampaignId: 123, newCampaignId: 123})
};
fetch('https://prod-api.raisedonors.com/api/Campaign/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Campaign/replace"
payload = {
"currentCampaignId": 123,
"newCampaignId": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Campaign/replace");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"currentCampaignId\": 123,\n \"newCampaignId\": 123\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Campaign/replace';
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currentCampaignId: 123, newCampaignId: 123})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"name": [
"The name field is required."
]
},
"instance": "/api/Campaign/replace"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Campaign/replace"
}Campaign
Replace a Campaign
Reassigns the records that reference one campaign to another campaign.
PUT
https://prod-api.raisedonors.com
/
api
/
Campaign
/
replace
Replace a Campaign
Send
currentCampaignId and newCampaignId.
Use it to retire a campaign that still has pages attached to it.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
The campaign replace request.
Response
OK
Last modified on July 28, 2026
Was this page helpful?
⌘I